ru.bitel.bgbilling.modules.cerbercrypt.server.event

## Class OpenPacketSubscriptionEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.cerbercrypt.server.event.ChangePacketSubscriptionEvent
        - - ru.bitel.bgbilling.modules.cerbercrypt.server.event.OpenPacketSubscriptionEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class OpenPacketSubscriptionEvent
      extends ChangePacketSubscriptionEvent

  Синхронное событие - выполнение открытия пакета через Web.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OpenPacketSubscriptionEvent()`
    `` | `OpenPacketSubscriptionEvent(int userId, int mid, int cid, UserCard userCard, Packet packet, java.util.Date fromDate)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTypeId()` Deprecated.

    - ### Methods inherited from class ru.bitel.bgbilling.modules.cerbercrypt.server.event.ChangePacketSubscriptionEvent

      `getError, getFromDate, getMessage, getPacket, getUserCard, isProcessed, setError, setMessage, setProcessed`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenPacketSubscriptionEvent

          protected OpenPacketSubscriptionEvent()

    - #### OpenPacketSubscriptionEvent

          public OpenPacketSubscriptionEvent(int userId,
                                             int mid,
                                             int cid,
                                             UserCard userCard,
                                             Packet packet,
                                             java.util.Date fromDate)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `mid` - - код модуля
        `cid` - - код договора
        `userCard` - - код карты клиента
        `packet` - - пакет
        `fromDate` - - с какой даты начать новый тариф

  - ### Method Detail

    - #### getTypeId

          @Deprecated
          public int getTypeId()

      Deprecated.
      Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns: